Skip Menu |
 

This queue is for tickets about the Net-SSLeay CPAN distribution.

Report information
The Basics
Id: 120330
Status: open
Priority: 0/
Queue: Net-SSLeay

People
Owner: Nobody in particular
Requestors: Paul.Green [...] stratus.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



CC: "Farley, Paul" <Paul.Farley [...] stratus.com>, "Green, Paul" <Paul.Green [...] stratus.com>
Subject: Build failure in version 1.80 when OpenSSL was not built with Engine support
Date: Wed, 22 Feb 2017 17:05:33 +0000
To: "bug-Net-SSLeay [...] rt.cpan.org" <bug-Net-SSLeay [...] rt.cpan.org>
From: "Green, Paul" <Paul.Green [...] stratus.com>
Download (untitled) / with headers
text/plain 845b
Gentle Net:SSLeay maintainers, Using Net:SSLeay version 1.80 today with Perl 5.14.2 on Stratus OpenVOS Release 17.2.0cb and the Stratus build of OpenSSL 1.0.2j, I discovered that Net:SSLeay/SSLeay.c would not build because we do not build our copy of OpenSSL with "engine" support. Fortunately, the fix to SSLeay.xs is trivial, and with this fix, I was able to successfully build and install Net::SSLeay 1.80. Here is the fix: --- SSLeay.xs.orig 2017-02-22 12:02:30 -0500 +++ SSLeay.xs 2017-02-22 11:52:34 -0500 @@ -185,8 +185,10 @@ #include <openssl/x509v3.h> #if OPENSSL_VERSION_NUMBER >= 0x0090700fL /* requires 0.9.7+ */ +#ifndef OPENSSL_NO_ENGINE #include <openssl/engine.h> #endif +#endif #ifdef OPENSSL_FIPS #include <openssl/fips.h> #endif Thanks PG -- Sr. Technical Consultant, Stratus Technologies, Inc. Maynard, MA 01754-1482
Subject: Re: [rt.cpan.org #120330] Build failure in version 1.80 when OpenSSL was not built with Engine support
Date: Thu, 23 Feb 2017 06:35:26 +1100
To: bug-Net-SSLeay [...] rt.cpan.org
From: Mike McCauley <mikem [...] airspayce.com>
Download (untitled) / with headers
text/plain 1.4k
Hi Paul. Thanks. I will patch this next week when I return. Cheers Sent from my iPhone Show quoted text
> On 23 Feb 2017, at 4:07 am, Paul Green via RT <bug-Net-SSLeay@rt.cpan.org> wrote: > > Wed Feb 22 12:07:18 2017: Request 120330 was acted upon. > Transaction: Ticket created by Paul.Green@stratus.com > Queue: Net-SSLeay > Subject: Build failure in version 1.80 when OpenSSL was not built with Engine support > Broken in: (no value) > Severity: (no value) > Owner: Nobody > Requestors: Paul.Green@stratus.com > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=120330 > > > > Gentle Net:SSLeay maintainers, > > Using Net:SSLeay version 1.80 today with Perl 5.14.2 on Stratus OpenVOS Release 17.2.0cb and the Stratus build of OpenSSL 1.0.2j, I discovered that Net:SSLeay/SSLeay.c would not build because we do not build our copy of OpenSSL with "engine" support. > > Fortunately, the fix to SSLeay.xs is trivial, and with this fix, I was able to successfully build and install Net::SSLeay 1.80. > > Here is the fix: > > --- SSLeay.xs.orig 2017-02-22 12:02:30 -0500 > +++ SSLeay.xs 2017-02-22 11:52:34 -0500 > @@ -185,8 +185,10 @@ > #include <openssl/x509v3.h> > #if OPENSSL_VERSION_NUMBER >= 0x0090700fL > /* requires 0.9.7+ */ > +#ifndef OPENSSL_NO_ENGINE > #include <openssl/engine.h> > #endif > +#endif > #ifdef OPENSSL_FIPS > #include <openssl/fips.h> > #endif > > Thanks > PG > -- > Sr. Technical Consultant, Stratus Technologies, Inc. > Maynard, MA 01754-1482
Subject: Re: [rt.cpan.org #120330] Build failure in version 1.80 when OpenSSL was not built with Engine support
Date: Thu, 02 Mar 2017 11:38:28 +1000
To: bug-Net-SSLeay [...] rt.cpan.org
From: Mike McCauley <mikem [...] airspayce.com>
Download (untitled) / with headers
text/plain 1.6k
Hi Paul, thanks, your patch is now in SVN 490. Could you test? Cheers On Wednesday, 22 February 2017 12:07:30 PM AEST you wrote: Show quoted text
> Wed Feb 22 12:07:18 2017: Request 120330 was acted upon. > Transaction: Ticket created by Paul.Green@stratus.com > Queue: Net-SSLeay > Subject: Build failure in version 1.80 when OpenSSL was not built with > Engine support Broken in: (no value) > Severity: (no value) > Owner: Nobody > Requestors: Paul.Green@stratus.com > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=120330 > > > > Gentle Net:SSLeay maintainers, > > Using Net:SSLeay version 1.80 today with Perl 5.14.2 on Stratus OpenVOS > Release 17.2.0cb and the Stratus build of OpenSSL 1.0.2j, I discovered that > Net:SSLeay/SSLeay.c would not build because we do not build our copy of > OpenSSL with "engine" support. > > Fortunately, the fix to SSLeay.xs is trivial, and with this fix, I was able > to successfully build and install Net::SSLeay 1.80. > > Here is the fix: > > --- SSLeay.xs.orig 2017-02-22 12:02:30 -0500 > +++ SSLeay.xs 2017-02-22 11:52:34 -0500 > @@ -185,8 +185,10 @@ > #include <openssl/x509v3.h> > #if OPENSSL_VERSION_NUMBER >= 0x0090700fL > /* requires 0.9.7+ */ > +#ifndef OPENSSL_NO_ENGINE > #include <openssl/engine.h> > #endif > +#endif > #ifdef OPENSSL_FIPS > #include <openssl/fips.h> > #endif > > Thanks > PG > -- > Sr. Technical Consultant, Stratus Technologies, Inc. > Maynard, MA 01754-1482
-- Mike McCauley VK4AMM mikem@airspayce.com Airspayce Pty Ltd 9 Bulbul Place Currumbin Waters QLD 4223 Australia http://www.airspayce.com Phone +61 7 5598-7474
Subject: RE: [rt.cpan.org #120330] Build failure in version 1.80 when OpenSSL was not built with Engine support
Date: Thu, 2 Mar 2017 15:00:05 +0000
To: "bug-Net-SSLeay [...] rt.cpan.org" <bug-Net-SSLeay [...] rt.cpan.org>
From: "Green, Paul" <Paul.Green [...] stratus.com>
Download (untitled) / with headers
text/plain 2.2k
Hi Mike, I looked at the change in the SVN database. Your change is identical to the patch that I submitted. I had already tested it here, and so I'm satisfied with the official update. Thank you for taking care of this so quickly. Thanks PG Show quoted text
-----Original Message----- From: Mike McCauley via RT [mailto:bug-Net-SSLeay@rt.cpan.org] Sent: Wednesday, March 01, 2017 9:02 PM To: Green, Paul <Paul.Green@stratus.com> Subject: Re: [rt.cpan.org #120330] Build failure in version 1.80 when OpenSSL was not built with Engine support <URL: https://rt.cpan.org/Ticket/Display.html?id=120330 > Hi Paul, thanks, your patch is now in SVN 490. Could you test? Cheers On Wednesday, 22 February 2017 12:07:30 PM AEST you wrote:
> Wed Feb 22 12:07:18 2017: Request 120330 was acted upon. > Transaction: Ticket created by Paul.Green@stratus.com > Queue: Net-SSLeay > Subject: Build failure in version 1.80 when OpenSSL was not built with > Engine support Broken in: (no value) > Severity: (no value) > Owner: Nobody > Requestors: Paul.Green@stratus.com > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=120330 > > > > Gentle Net:SSLeay maintainers, > > Using Net:SSLeay version 1.80 today with Perl 5.14.2 on Stratus OpenVOS > Release 17.2.0cb and the Stratus build of OpenSSL 1.0.2j, I discovered that > Net:SSLeay/SSLeay.c would not build because we do not build our copy of > OpenSSL with "engine" support. > > Fortunately, the fix to SSLeay.xs is trivial, and with this fix, I was able > to successfully build and install Net::SSLeay 1.80. > > Here is the fix: > > --- SSLeay.xs.orig 2017-02-22 12:02:30 -0500 > +++ SSLeay.xs 2017-02-22 11:52:34 -0500 > @@ -185,8 +185,10 @@ > #include <openssl/x509v3.h> > #if OPENSSL_VERSION_NUMBER >= 0x0090700fL > /* requires 0.9.7+ */ > +#ifndef OPENSSL_NO_ENGINE > #include <openssl/engine.h> > #endif > +#endif > #ifdef OPENSSL_FIPS > #include <openssl/fips.h> > #endif > > Thanks > PG > -- > Sr. Technical Consultant, Stratus Technologies, Inc. > Maynard, MA 01754-1482
-- Mike McCauley VK4AMM mikem@airspayce.com Airspayce Pty Ltd 9 Bulbul Place Currumbin Waters QLD 4223 Australia http://www.airspayce.com Phone +61 7 5598-7474


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.